%define req_esound_version	0.2.40
%define req_gnomevfs2_version	2.24.0
%define req_libbonobo_version	2.24.0
%define req_libxslt_version	1.0.18
%define api_version	2
%define lib_major	0
%define pkgname     libgnome
%define lib_name %mklibname gnome %{api_version} %{lib_major}

Summary: GNOME libraries
Name: %{pkgname}%{api_version}
Version: 2.32.1
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{pkgname}/%{pkgname}-%{version}.tar.xz
Source1: background-default.tar.bz2
Patch1: libgnome-background.patch
Patch6: libgnome-sentinel.patch
Patch7: libgnome-2.19.1-va_list.patch
Patch8: libgnome-2.19.1-sounds-default.patch
Patch9: libgnome-2.24.1-www-browser.patch
Patch10: desktop_gnome_interface.schemas.in.in.patch
Patch11: desktop_gnome_interface.schemas.in.in.diff-2.patch
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	libbzip2-devel
BuildRequires:	gnome-vfs2-devel >= %{req_gnomevfs2_version}
BuildRequires:	esound-devel >= %{req_esound_version}
BuildRequires:	libxslt-devel >= %{req_libxslt_version}
BuildRequires:	gtk-doc
BuildRequires:	libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires:	perl-XML-Parser
BuildRequires:	libcanberra-devel
Requires: 	mandrake_desk >= 9.0
Requires:	dbus-x11 >= 1.2.3
Requires:	libgnome-vfs2 >= 2.24
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
Data files for the GNOME library such as translations.

%description -l de
Dateien mit Daten für die GNOME Bibliothek, wie Übersetzungen.


%package -n %{lib_name}
Summary:	Dynamic libraries for GNOME applications
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
GNOME library contains extra API to let your GNOME applications shine.

%description -l de -n %{lib_name} 
GNOME-Bibliothek enthält zusätzliche API, um Ihren GNOME-Anwendungen zu erstrahlen.

%package -n %{lib_name}-devel
Summary:	Static libraries, include files for GNOME
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}
Requires:	%{name} = %{version}
Requires:	libgnome-vfs2-devel
Requires:	esound-devel >= %{req_esound_version}
Requires:	libbonobo2_x-devel >= %{req_libbonobo_version}
Provides:	libgnome2-devel

%description -n %{lib_name}-devel
Static library and headers file
needed in order to develop applications using the GNOME library

%description -l de -n %{lib_name}-devel
Die GNOME 2 Bibliothek-Entwicklungsdateien.
Dieses Paket enthält die Bibliothek für die grundlegenden Funktionen der Gnome-Bibliothek.

%prep
%setup -q -n %{pkgname}-%{version}
%patch1 -p1 -b .background
%patch6 -p1 -b .sentinel
%patch7 -p1 -b .va_list
%patch8 -p1 -b .sound-defaults
%patch9 -p1 -b .www-browser
%patch10 -p1
%patch11 -p1

%build
autoreconf -fis
%configure2_5x --enable-gtk-doc
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.{la,a} \
  $RPM_BUILD_ROOT%{_libdir}/bonobo/monikers/*.{la,a}

# insert pclos gnome default background image 

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/backgrounds/gnome
bzip2 -cd %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT/%{_datadir}/pixmaps/backgrounds/gnome


%find_lang %{pkgname}-2.0

%clean
rm -rf $RPM_BUILD_ROOT

%define schemas desktop_gnome_accessibility_keyboard desktop_gnome_accessibility_startup desktop_gnome_applications_at_mobility desktop_gnome_applications_at_visual desktop_gnome_applications_browser desktop_gnome_applications_terminal desktop_gnome_applications_office desktop_gnome_applications_window_manager desktop_gnome_background desktop_gnome_file_views desktop_gnome_interface desktop_gnome_lockdown desktop_gnome_peripherals_keyboard desktop_gnome_peripherals_mouse desktop_gnome_sound desktop_gnome_thumbnail_cache desktop_gnome_thumbnailers desktop_gnome_typing_break

%post
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%post -n %{lib_name}
/sbin/ldconfig
  
%postun -n %{lib_name}
/sbin/ldconfig

%files -f %{pkgname}-2.0.lang
%defattr(-,root,root)
%doc NEWS
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/sound/events/*
%{_bindir}/gnome-open
%{_libdir}/bonobo/monikers/*.so
%{_libdir}/bonobo/servers/*
%{_mandir}/man7/*
%_datadir/gnome-background-properties/gnome-default.xml
%_datadir/pixmaps/backgrounds/gnome/background-default.jpg

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/*.a


%changelog
* Tue Feb 01 2011 Texstar <texstar at gmail.com> 2.32.1-1pclos2011
- 2.32.1

* Tue Sep 28 2010 Texstar <texstar at gmail.com> 2.32.0-1pclos2010
- 2.32.0 
- add BR libcanberra-devel

* Wed Sep 15 2010 Texstar <texstar at gmail.com> 2.30.0-3pclos2010
- rebuild for new ssl

* Mon Jun 28 2010 Texstar <texstar at gmail.com> 2.30.0-2pclos2010
- rebuild against updated libs

* Tue Mar 30 2010 Texstar <texstar at gmail.com> 2.30.0-1pclos2010
- 2.30.0

* Thu Jan 21 2010 Texstar <texstar at gmail.com> 2.28.0-5pclos2010
- rebuild
 
* Sat Oct 10 2009 Texstar <texstar at gmail.com> 2.28.0-4pclos2010
- system rebuild

* Fri Oct 09 2009 Texstar <texstar at gmail.com> 2.28.0-3pclos2010
- menu buttons can have icons set to true 

* Fri Oct 09 2009 Texstar <texstar at gmail.com> 2.28.0-2pclos2010
- fix menu icons default to true

* Sat Oct 03 2009 slick50 <lxgator at gmail.com> 2.28.0-1pclos2010
- 2.28.0

* Sat May 09 2009 johnnyblack <johnnyblack at inbox.com> 2.26.0-1pclos2009
- 2.26.0


